Skip to navigation

List Tax Types By Nexus And Country

View as Markdown

Access control: this endpoint is available to users with the everyone role.

Retrieves the list of applicable TaxTypes based on Nexus of the company.

Authentication

Authorizationstring
API Key authentication via header

Path parameters

countrystringRequired
The country for which you want to retrieve the unitofbasis information

Headers

X-Avalara-ClientstringOptionalDefaults to Swagger UI; 26.7.0; Custom; 1.0

Identifies the software you are using to call this API. For more information on the client header, see Client Headers .

Query parameters

companyIdintegerRequired
Your companyId to retrieve the applicable taxtypes
$topintegerOptional

If nonzero, return no more than this number of results. Used with $skip to provide pagination for large datasets. Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records.

$skipintegerOptional

If nonzero, skip this number of results before returning data. Used with $top to provide pagination for large datasets.

$orderBystringOptional

A comma separated list of sort statements in the format (fieldname) [ASC|DESC], for example id ASC.

$scopeenumOptional

Optional query parameter to filter by System, Custom or All tax types (default: System)

Allowed values:

Response

Success
@recordsetCountintegerOptional
valuelist of objectsOptional
pageKeystringOptional